ADDUSER(8)

NAAM
adduser, addgroup - gebruikers of groepen toevoegen of manipuleren

SYNOPSIS
adduser [--add-extra-groups] [--allow-all-names] [--allow-bad-names] [--comment commentaar] [--conf bestand] [--debug] [--disabled-login] [--disabled-password] [--firstgid id] [--firstuid id] [--gid id] [--home map] [--ingroup groep] [--lastgid id] [--lastuid id] [--no-create-home] [--shell shell] [--quiet] [--uid id] [--verbose] gebruiker
adduser --system [--comment commentaar] [--conf bestand] [--debug] [--gid id] [--group] [--home map] [--ingroup groep] [--no-create-home] [--shell shell] [--uid id] [--quiet] [--verbose] gebruiker
adduser --group [--conf bestand] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] groep
addgroup [--conf bestand] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] groep
addgroup --system [--gid id] [--conf bestand] [--quiet] [--verbose] groep
adduser [--conf bestand] [--debug] [--quiet] [--verbose] gebruiker groep
adduser --help
adduser --version

BESCHRIJVING
adduser en addgroup voegt gebruikers en groepen toe aan het systeem volgens de commandoregelopties en de configuratie-informatie in /etc/adduser.conf. Het zijn vriendelijkere frontends voor de hulpmiddelen van lager niveau, zoals de programma's useradd, groupadd en usermod, die standaard Debian-beleidsconforme UID- en GID-waarden kiezen, een persoonlijke map aanmaken met skeletconfiguratie, een aangepast script uitvoeren en andere functies vervullen.

adduser en addgroup zijn bedoeld als een beleidslaag, die het voor pakketbeheerders en lokale beheerders gemakkelijker maakt om lokale systeemaccounts aan te maken op de manier waarop Debian verwacht dat ze worden aangemaakt, waarbij de last om zich aan te passen aan de waarschijnlijk veranderende specificaties van het Debian-beleid wordt weggenomen. adduser --system besteedt speciale aandacht aan het feit dat slechts één enkele aanroep nodig is in de scripts van de pakketbeheerder, zonder voorwaardelijke wrappers, foutonderdrukking of andere vormen van ondersteuning.

adduser respecteert het onderscheid tussen dynamisch toegewezen systeemgebruikers en -groepen en dynamisch toegewezen gebruikersaccounts dat gedocumenteerd is in het Debian-beleidshandboek, hoofdstuk 9.2.2.

Raadpleeg het onderdeel OPTIES voor een volledige lijst van en uitleg bij alle opties.

adduser en addgroup kunnen in vijf modi uitgevoerd worden:

  Een gewone gebruiker toevoegen
Als adduser aangeroepen wordt met één niet-optieargument en zonder de opties --system of --group, dan zal het een gewone gebruiker toevoegen, dat wil zeggen een dynamisch toegewezen gebruikersaccount in de zin van het Debian-beleid. Dit wordt in adduser gewoonlijk een niet-systeemgebruiker genoemd.

adduser zal de eerste beschikbare UID kiezen uit het bereik dat gespecificeerd wordt door FIRST_UID en LAST_UID in het configuratiebestand. Het bereik kan worden overschreven met de opties --firstuid en --lastuid. Tenslotte kan de UID ook volledig handmatig ingesteld worden met de optie --uid.

Standaard krijgt elke gebruiker een overeenkomstige groep met dezelfde naam. Die worden gewoonlijk Gebruikersgroepen (Usergroups) genoemd en dit maakt het mogelijk om voor groepen beschrijfbare mappen eenvoudig te onderhouden door de juiste gebruikers in de nieuwe groep te plaatsen, de set-group-ID-bit in de map in te stellen en ervoor te zorgen dat alle gebruikers een umask van 002 gebruiken.

Voor een gebruikersgroep kiest adduser de eerste beschikbare GID uit het bereik dat gespecificeerd wordt door FIRST_GID en LAST_GID in het configuratiebestand. Het bereik kan worden overschreven met de opties --firstgid en --lastgid. Tenslotte kan de GID ook volledig handmatig ingesteld worden met de optie --gid.

De interactie tussen USERS_GID, USERS_GROUP en USERGROUPS wordt in detail uitgelegd in adduser.conf(5).

De primaire groep van een gebruiker kan ook overschreven worden vanaf de commandoregel met de opties --gid of --ingroup, om de groep respectievelijk op id of naam in te stellen. Gebruikers kunnen ook worden toegevoegd aan een of meer extra groepen die als EXTRA_GROUPS in het configuratiebestand zijn gedefinieerd, door ofwel ADD_EXTRA_GROUPS in te stellen op 1 in het configuratiebestand, of door --add-extra-groups te gebruiken aan de commandoregel.

adduser kopieert bestanden van /etc/skel naar de thuismap en vraagt om het commentaarveld en een wachtwoord als deze functies niet zijn uitgeschakeld/overschreven vanaf de opdrachtregel.adduser kopieert bestanden van /etc/skel naar de persoonlijke map en vraagt om het commentaarveld en een wachtwoord als deze functies niet zijn uitgeschakeld/overschreven vanaf de opdrachtregel.

UID, commentaar, persoonlijke map en shell kunnen vooraf worden bepaald met de opties UID_POOL en GID_POOL, die uitgelegd worden in adduser.conf(5).

  Een systeemgebruiker toevoegen
Als adduser aangeroepen wordt met één niet-optieargument en met de optie --system, dan zal het een dynamisch toegewezen systeemgebruiker toevoegen, vaak afgekort tot systeemgebruiker in de context van het pakket adduser.

adduser zal de eerste beschikbare UID kiezen uit het bereik dat gespecificeerd wordt door FIRST_SYSTEM_UID en LAST_SYSTEM_UID in het configuratiebestand. Dit kan worden overschreven met de optie --uid.

Standaard worden systeemgebruikers geplaatst in de groep nogroup. Om de nieuwe systeemgebruiker in een reeds bestaande groep te plaatsen, gebruikt u de opties --gid of --ingroup. Als de optie --group opgegeven wordt en de groep met dezelfde naam nog niet bestaat, wordt hij aangemaakt met dezelfde ID.

Indien geen persoonlijke map opgegeven wordt, is /nonexistent (onbestaande) de standaard persoonlijke map van een nieuwe systeemgebruiker. Op geen enkel Debian-systeem zou deze map mogen bestaan en adduser zal deze nooit automatisch aanmaken.

Tenzij expliciet een shell ingesteld wordt met de optie --shell, zal de shell van de nieuwe systeemgebruiker ingesteld worden op /usr/sbin/nologin. adduser --system stelt voor het nieuwe account geen wachtwoord in. Skeletconfiguratiebestanden worden niet gekopieerd.

Het gedrag van de andere opties zal hetzelfde zijn als bij het aanmaken van een gewone gebruiker. De bestanden waarnaar wordt verwezen door UID_POOL en GID_POOL werken ook.

  Een groep toevoegen
Als respectievelijk adduser aangeroepen wordt met de optie --group en zonder de optie --system, of addgroup aangeroepen wordt, wordt een gebruikersgroep toegevoegd.

Een dynamisch toegewezen systeemgroep, in de context van het pakket adduser vaak afgekort tot systeemgroep, wordt gecreëerd als adduser aangeroepen wordt met de optie --system.

Er wordt een GID gekozen uit het respectieve bereik dat voor GID's in het configuratiebestand is opgegeven (FIRST_GID, LAST_GID, FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Om dat mechanisme op te heffen, kunt u de GID opgeven met de optie --gid.

Voor niet-systeemgroepen kan het in het configuratiebestand gespecificeerde bereik worden overschreven met de opties --firstgid en --lastgid.

De groep wordt aangemaakt zonder leden.

  Een bestaande gebruiker toevoegen aan een bestaande groep
Als adduser aanroepen wordt met twee niet-optieargumenten, zal het een bestaande gebruiker toevoegen aan een bestaande groep.

OPTIES
Verschillende modi van adduser staan verschillende opties toe. Als voor een optie geen geldige modi worden vermeld, wordt ze in alle modi aanvaard.

Voor bepaalde opties kunnen om historische redenen korte versies bestaan. Ze blijven ondersteund worden, maar worden verwijderd uit de documentatie. Gebruikers wordt aangeraden over te stappen op de lange versie van de opties.

--add-extra-groups
    Nieuwe gebruiker toevoegen aan extra groepen gedefinieerd in de instelling EXTRA_GROUPS van de configuratiebestanden. De oude spelling --add_extra_groups is verouderd en wordt alleen ondersteund in Debian Bookworm. Geldige modi: adduser, adduser --system.

--allow-all-names
    Elke gebruikers- en groepsnaam toestaan die door het onderliggende useradd(8) wordt ondersteund, met inbegrip van namen die niet-ASCII-tekens bevatten. Zie VALID NAMES in adduser.conf(5). Geldige modi: adduser, adduser --system, addgroup, addgroup --system.

--allow-bad-names
    De op namen uitgevoerde controles NAME_REGEX en SYS_NAME_REGEX uitschakelen. Enkel een zwakkere controle op de geldigheid van de naam wordt toegepast. Zie VALID NAMES in adduser.conf(5). Geldige modi: adduser, adduser --system, addgroup, addgroup --system.

--comment commentaar
    Het commentaarveld instellen voor het nieuw gegenereerde element. adduser zal niet naar de informatie vragen als deze optie opgegeven wordt. Dit veld staat ook bekend onder de naam GECOS-veld en bevat informatie die door het commando finger(1) gebruikt wordt. Dit was vroeger de optie --gecos, die verouderd is en na Debian bookworm verwijderd zal worden. Geldige modi: adduser, adduser --system.

--conf bestand
    Bestand gebruiken in plaats van /etc/adduser.conf. Verschillende --conf-opties kunnen opgegeven worden.

--debug
    De foutopsporingscode activeren.

--disabled-login
--disabled-password
    --disabled-password passwd(1) niet uitvoeren om een wachtwoord in te stellen. In de meeste situaties is inloggen echter nog steeds mogelijk (bijvoorbeeld met SSH-sleutels of via PAM) om redenen die buiten het bereik van adduser vallen. --disabled-login zal bovendien de shell instellen op /usr/sbin/nologin/. Geldige modus: adduser.

--firstuid ID
--lastuid ID
--firstgid ID
--lastgid ID
    De eerste UID / laatste UID / eerste GID / laatste GID uit het bereik waaruit de UID gekozen wordt, overschrijven (FIRST_UID, LAST_UID, FIRST_GID en LAST_GID, FIRST_SYSTEM_UID, LAST_SYSTEM_UID, FIRST_SYSTEM_GID en LAST_SYSTEM_GID uit het configuratiebestand). Als een groep als gebruikersgroep aangemaakt wordt, worden --firstgid en --lastgid genegeerd. De groep krijgt dezelfde ID als de gebruiker. Geldige modi: adduser, adduser --system, voor --firstgid en --lastgid ook addgroup.

--force-badname
--allow-badname
    Dit zijn de verouderde vormen van --allow-bad-names. Ze zullen worden verwijderd tijdens de releasecyclus van de Debian-release na bookworm.

--gid ID
    Bij het creëren van een groep, stelt deze optie het groeps-ID-nummer van de nieuwe groep in op GID. Als een gebruiker aangemaakt wordt, stelt deze optie het ID-nummer van de primaire groep van de nieuwe gebruiker in op GID. Geldige modi: adduser, adduser --system, addgroup, addgroup --system.

--group
    Het gebruik van deze optie in adduser --system geeft aan dat de nieuwe gebruiker een groep met dezelfde naam als primaire groep moet krijgen. Als die groep met dezelfde naam nog niet bestaat, wordt hij aangemaakt. Indien niet gecombineerd met -system, wordt een groep met de opgegeven naam aangemaakt. Dit laatste is de standaardactie als het programma wordt aangeroepen als addgroup. Geldige modi: adduser --system, addgroup, addgroup --system.

--help
    Korte instructies weergeven.

--home map
    map gebruiken als de persoonlijke map van de gebruiker, in plaats van de door het configuratiebestand gespecificeerde standaard (of /nonexistent als adduser --system gebruikt wordt). Als de map niet bestaat, wordt ze aangemaakt. Geldige modi: adduser, adduser --system.

--ingroup GROEP
    Bij het aanmaken van een gebruiker stelt deze optie het primaire groeps-ID-nummer van de nieuwe gebruiker in op de GID van de genoemde groep. Anders dan bij de optie --gid wordt de groep hier gespecificeerd met een naam en niet met een numeriek ID-nummer. De groep moet al bestaan. Geldige modi: adduser, adduser --system.

--lastuid ID
--lastgid ID
    De laatste UID / laatste GID overschrijven. Zie --firstuid.

--no-create-home
    Geen persoonlijke map aanmaken voor de nieuwe gebruiker. Merk op dat de padnaam voor de persoonlijke map van de nieuwe gebruiker nog steeds wordt ingevoerd in het daarvoor bestemde veld in het bestand /etc/passwd. Het gebruik van deze optie impliceert niet dat dit veld leeg moet zijn. Het geeft eerder aan adduser aan dat een ander mechanisme verantwoordelijk zal zijn voor het initialiseren van de persoonlijke map van de nieuwe gebruiker. Geldige modi: adduser, adduser --system.

--quiet
    Informatieve berichten onderdrukken, alleen waarschuwingen en fouten tonen.

--shell shell
    shell gebruiken als de login-shell voor de gebruiker, in plaats van de in het configuratiebestand ingestelde standaard (of /usr/sbin/nologin als adduser --system gebruikt wordt). Geldige modi: adduser, adduser --system.

--system
    Gewoonlijjk creëert adduser dynamisch toegewezen gebruikersaccounts en groepen zoals gedefinieerd in het Debian-beleidshandboek, hoofdstuk 9.2.2. Met deze optie creëert adduser een dynamisch toegewezen systeemgebruiker en groep en wijzigt respectievelijk de modus ervan. Geldige modi: adduser, addgroup.

--uid ID
    Het opgegeven nummer opleggen als de nieuwe gebruikers-ID. adduser zal met een foutmelding stoppen als het gebruikers-ID reeds in gebruik is. Geldige modi: adduser, adduser --system.

--verbose
    Meer informatie geven.

-v , --version
    Versie- en copyrightinformatie weergeven.

AFSLUITWAARDEN

0   Geslaagd: de gebruiker of groep bestaat zoals opgegeven. Dit kan 2 oorzaken hebben: de gebruiker of groep werd aangemaakt door deze aanroep van adduser of de gebruiker of groep was zoals opgegeven al aanwezig op het systeem voordat adduser werd aangeroepen. Als adduser --system wordt aangeroepen voor een gebruiker die al bestaat als systeemgebruiker, zal ook 0 teruggegeven worden.

1   Het aanmaken van de niet-systeemgebruiker of -groep is mislukt omdat deze reeds bestond. De gebruikersnaam of groepsnaam werd geweigerd omdat deze niet beantwoordden aan de geconfigureerde reguliere expressies, zie adduser.conf(5). adduser werd afgebroken door een signaal.

Of om vele andere nog niet gedocumenteerde redenen die dan naar de console worden afgedrukt. U kunt dan overwegen om --quiet te verwijderen om adduser meer informatie te laten geven.

VEILIGHEID
adduser heeft root-privileges nodig en biedt via de opdrachtregeloptie --conf de mogelijkheid om verschillende configuratiebestanden te gebruiken. Gebruik geen sudo(8) of soortgelijke hulpmiddelen om gedeeltelijke rechten te geven aan adduser met beperkte commandoregelparameters. Dit is gemakkelijk te omzeilen en kan gebruikers in staat stellen om willekeurige accounts aan te maken. Als u dit wilt, overweeg dan om uw eigen wrapperscript te schrijven en privileges te geven om dat script uit te voeren.

BESTANDEN

/etc/adduser.conf
    Standaardconfiguratiebestand voor adduser(8) en addgroup(8)

/usr/local/sbin/adduser.local
    Optionele aangepaste uitbreidingen, zie adduser.local(8)

OPMERKINGEN
Helaas lijdt de term systeemaccount in Debian aan dubbel gebruik. Hij betekent in beide gevallen een account voor het eigenlijke Debian-systeem, waarbij hij zich onderscheidt van een toepassingsaccount die kan bestaan in de gebruikersdatabase van een of andere toepassing die op Debian actief is. Een systeemaccount in deze definitie kan inloggen op het eigenlijke systeem, heeft een UID, kan lid zijn van systeemgroepen, kan eigenaar zijn van bestanden en processen. Daartegenover maakt het beleidshandboek van Debian in hoofdstuk 9.2.2 een onderscheid tussen dynamisch toegewezen systeemgebruikers en -groepen en dynamisch toegewezen gebruikersaccounts, wat in beide gevallen een speciale vorm van systeemaccount betekent. Er moet voor worden gezorgd dat deze terminologie niet door elkaar wordt gehaald. Aangezien adduser en deluser(8) zich nooit inlaten met toepassingsaccounts en alles in dit pakket hier systeemaccounts betreft, is het gebruik van de termen gebruikersaccount en systeemaccount eigenlijk niet dubbelzinnig in de context van dit pakket. Voor de duidelijkheid wordt in dit document de omschrijving lokale systeemaccount of -groep gebruikt als het onderscheid met toepassingsaccounts of accounts die in een registerdienst worden beheerd, moet gemaakt worden.

Sinds de jaren negentig ging adduser uit van het idee dat het in Debian het universele frontend was voor de verschillende registerdiensten voor het aanmaken en verwijderen van reguliere en systeemaccounts. Deze visie is verlaten in 2022. De achterliggende redenering is dat een klein serversysteem in de praktijk sowieso geen schrijftoegang zal hebben tot een bedrijfsbrede registerdienst, dat lokaal geïnstalleerde pakketten moeilijk te beheren zijn met centraal beheerde systeemaccounts, dat bedrijfsregisterdiensten hoe dan ook hun eigen beheersprocessen hebben en dat de mankracht van het adduser-team waarschijnlijk nooit sterk genoeg zal zijn om ondersteuning te schrijven en te onderhouden voor de overvloed aan registerdiensten die ondersteuning nodig hebben.

adduser zal zich ertoe beperken een beheerslaag te zijn voor het beheer van lokale systeemaccounts, waarbij de gereedschappen uit het pakket password worden gebruikt voor het eigenlijke werk.

BUGS
Inconsistent gebruik in documenten en code van terminologie in verband met de term systeemaccount is een bug. Gelieve dit te melden en ons in staat te stellen onze documenten te verbeteren.

adduser besteedt speciale aandacht aan direct bruikbaar te zijn in scripts van pakketbeheerders, zonder voorwaardelijke wrappers, foutonderdrukking of andere vormen van ondersteuning. Het enige wat de pakketbeheerder zou moeten coderen, is een controle op de aanwezigheid van het uitvoerbare bestand in het postrm-script. De beheerders van adduser beschouwen de behoefte aan extra vormen van ondersteuning als een bug en moedigen hun collega-beheerders van Debian-pakketten aan om in dit geval bugs in te dienen tegen het pakket adduser.

ZIE OOK
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), Debian beleidshandboek 9.2.2.